#!/bin/sh
#
config() {
  NEW="$1"
  OLD="`dirname $NEW`/`basename $NEW .new`"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "`cat $OLD | md5sum`" = "`cat $NEW | md5sum`" ]; then # toss the redundant copy
    rm $NEW
  fi
}
config etc/scrollkeeper.conf.new
#
( cd usr/lib64 ; rm -rf libscrollkeeper.so )
( cd usr/lib64 ; ln -sf libscrollkeeper.so.0.0.0 libscrollkeeper.so )
( cd usr/lib64 ; rm -rf libscrollkeeper.so.0 )
( cd usr/lib64 ; ln -sf libscrollkeeper.so.0.0.0 libscrollkeeper.so.0 )
